Bug 448596 - Resuming with intel driver not possible (with i810 it does)
Resuming with intel driver not possible (with i810 it does)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 15:15 EDT by Rolf Linder
Modified: 2015-03-04 20:19 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 16:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf - The xconfiguration used (634 bytes, text/plain)
2008-06-07 06:33 EDT, Rolf Linder
no flags Details
Xorg.0.log with existing xorg.conf (16.10 KB, text/plain)
2008-06-07 06:34 EDT, Rolf Linder
no flags Details
Xorg.0.log live messages with existing xorg.conf (4.72 KB, text/plain)
2008-06-07 06:35 EDT, Rolf Linder
no flags Details
Xorg.0.log restart try of X with existing xorg.conf (15.53 KB, text/plain)
2008-06-07 06:38 EDT, Rolf Linder
no flags Details
NoXorgConfig - Xorg.0.log (19.11 KB, text/plain)
2008-06-07 06:41 EDT, Rolf Linder
no flags Details
NoXorgConfig - live messages (10.83 KB, text/plain)
2008-06-07 06:42 EDT, Rolf Linder
no flags Details
NoXorgConfig - restart try of X (18.54 KB, text/plain)
2008-06-07 06:43 EDT, Rolf Linder
no flags Details

  None (edit)
Description Rolf Linder 2008-05-27 15:15:29 EDT
Description of problem:
In this package (xorg-x11-drv-i810) there are the drivers i810 and intel. On a
Dell Latitude D610 with the i810 driver the screen is not as sharp as with the
intel driver but you can suspend/hibernate and successfully resume...

this is the main problem here: with the intel driver you're unable to use
suspend/hibernate because the resume does not work with this driver...

the problem did already exist in F8...and still in F9...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use "intel" as your Xorg driver on a Dell Latidue D610 (and probably others)
2. suspend
3. resume
  
Actual results:
screens keeps blank, backlight is on....you see the effort to restart the Xserver...
no keyboard / mouse active...not able to switch to VT1 for example also
CTRL+ALT+BACKSPACE does not respond...

Expected results:
Working again ;) 

Additional info:
Comment 1 Matěj Cepl 2008-06-02 18:42:30 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Rolf Linder 2008-06-07 06:33:18 EDT
Created attachment 308595 [details]
xorg.conf - The xconfiguration used
Comment 3 Rolf Linder 2008-06-07 06:34:55 EDT
Created attachment 308596 [details]
Xorg.0.log with existing xorg.conf

These are the log messages from Xorg.0.log while trying to resume / supsend
with an existing xorg.conf (see attachment above)...
Comment 4 Rolf Linder 2008-06-07 06:35:59 EDT
Created attachment 308597 [details]
Xorg.0.log live messages with existing xorg.conf

Here are some additional messages I could capture while logged on to the laptop
over ssh....also this try is with an existing xorg.conf
Comment 5 Rolf Linder 2008-06-07 06:38:38 EDT
Created attachment 308598 [details]
Xorg.0.log restart try of X with existing xorg.conf

Here you see the messages appearing, when I tried to restart the xserver (ssh
login, kill Xserver pid, then simply start X...)
Comment 6 Rolf Linder 2008-06-07 06:41:32 EDT
Created attachment 308599 [details]
NoXorgConfig - Xorg.0.log

These are the messages when trying to resume/suspend with NO xorg.conf (let
Xserver detect all the hardware)...for the user the result remains the
same...no difference recognizable for me...
Comment 7 Rolf Linder 2008-06-07 06:42:23 EDT
Created attachment 308600 [details]
NoXorgConfig - live messages

Also with this setup I could get some additional messages...(while logged in
through ssh)...here again without a xorg.conf
Comment 8 Rolf Linder 2008-06-07 06:43:05 EDT
Created attachment 308601 [details]
NoXorgConfig - restart try of X

And here again the result for a restart try of X...
Comment 9 Rolf Linder 2008-06-07 06:44:09 EDT
Ok, I hope I could give you the neccessary informations to further debug this
issue...if not please let me know.

cheers, Rolf
Comment 10 Matěj Cepl 2008-06-10 05:47:43 EDT
Are you sure it works with i810 driver on Fedora 9?

[matej@viklef ~]$ ls -l /usr/lib/xorg/modules/drivers/i810_drv.so 
lrwxrwxrwx 1 root root 12  6. kvě 17.41
/usr/lib/xorg/modules/drivers/i810_drv.so -> intel_drv.so
[matej@viklef ~]$ 

It's just a symlink to intel driver here.
Comment 11 Rolf Linder 2008-06-10 14:58:13 EDT
Yes indeed, you're right.

So in F9 it is not possible to use suspend/resume with a Dell Latitude D610...on
F8 it was (when using i810 driver)...

Any suggestions to be able to use suspending/resuming in F9??
Comment 13 Matěj Cepl 2008-06-10 17:01:04 EDT
sorry, the first URL should be
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
Comment 14 Rolf Linder 2008-06-12 11:25:29 EDT
Ok, very strange: As I wanted to test the new debug steps of
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-advanced.html I
just saw that when suspending with "pm-suspend" it is working....(with a small
error, that the screens is not locked after resuming)...

when suspending with system -> shut down -> suspend it is not...so what command
is issued by suspend with gnome menu?? can I change the menu suspend command?

suspending with on an open gnome-terminal with "pm-suspend" seems to work quite
well (despite of the small error listed above)...
Comment 15 Matěj Cepl 2008-06-13 17:03:40 EDT
Not sure about proper component, so just throwing in the better direction.
Comment 16 Till Maas 2008-06-16 17:49:12 EDT
Can you please provide the original wording of the error message?

Please also report the output of:
 lshal | egrep
"(system.hardware.(product|vendor|version)|system.firmware.version|power_management.quirk)"
Comment 17 Rolf Linder 2008-06-21 07:19:47 EDT
There is no error message. As described above, when I'm suspend from a
gnome-terminal with 'pm-suspend' resuming is working....

when I do suspend with the gnome menu system -> shut down -> suspend the xserver
cannot resume...

heres the output of the command:

  power_management.quirk.no_fb = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  system.firmware.version = 'A03'  (string)
  system.hardware.product = 'Latitude D610'  (string)
  system.hardware.vendor = 'Dell Inc.'  (string)
  system.hardware.version = ''  (string)
Comment 18 Bug Zapper 2009-06-09 21:14:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Rolf Linder 2009-06-12 16:45:50 EDT
since F10 this is running smoothly...

Note You need to log in before you can comment on or make changes to this bug.